> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook by id

> Retrieve a webhook by its id




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /webhooks/{webhookId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /webhooks/{webhookId}:
    get:
      tags:
        - Webhooks V2
      summary: Get webhook by id
      description: |
        Retrieve a webhook by its id
      operationId: getWebhook
      parameters:
        - name: webhookId
          required: true
          in: path
          description: The unique identifier of the webhook
          schema:
            type: string
            example: 44fcead0-7053-4831-a53a-df7fb90d440f
            format: uuid
      responses:
        '200':
          description: A webhook object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<Webhook>> =
            fireblocks.webhooksV2.getWebhook(webhooksV2ApiGetWebhookRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Webhook>> response =
            fireblocks.webhooksV2().getWebhook(webhookId);
        - lang: Python
          source: response = fireblocks.webhooks_v2.get_webhook(webhook_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: The id of the webhook
          example: 123e4567-e89b-12d3-a456-426614174000
          format: uuid
        url:
          type: string
          description: >-
            The url of the webhook where notifications will be sent. Must be a
            valid URL and https.
          example: https://example.com/webhook
          minLength: 1
        description:
          type: string
          description: description of the webhook of what it is used for
          example: This webhook is used for transactions notifications
          minLength: 1
        events:
          type: array
          description: The events that the webhook will be subscribed to
          example:
            - transaction.created
            - transaction.status.updated
          items:
            $ref: '#/components/schemas/WebhookEvent'
        status:
          enum:
            - DISABLED
            - ENABLED
            - SUSPENDED
          type: string
          description: The status of the webhook
          example: ENABLED
        createdAt:
          type: integer
          format: int64
          description: The date and time the webhook was created in milliseconds
          example: 1625126400000
        updatedAt:
          type: integer
          format: int64
          description: The date and time the webhook was last updated in milliseconds
          example: 1625126400000
      required:
        - id
        - url
        - events
        - status
        - createdAt
        - updatedAt
    WebhookEvent:
      type: string
      enum:
        - transaction.created
        - transaction.status.updated
        - transaction.approval_status.updated
        - transaction.network_records.processing_completed
        - external_wallet.asset.added
        - external_wallet.asset.removed
        - internal_wallet.asset.added
        - internal_wallet.asset.removed
        - contract_wallet.asset.added
        - contract_wallet.asset.removed
        - vault_account.created
        - vault_account.asset.added
        - vault_account.asset.balance_updated
        - embedded_wallet.status.updated
        - embedded_wallet.created
        - embedded_wallet.asset.balance_updated
        - embedded_wallet.asset.added
        - embedded_wallet.account.created
        - embedded_wallet.device.added
        - onchain_data.updated
        - connection.added
        - connection.removed
        - connection.request.waiting_peer_approval
        - connection.request.rejected_by_peer
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````